PETSc version 3.17.4
Fix/Edit manual page

# SNESCOMPOSITE

Build a preconditioner by composing together several nonlinear solvers

### Options Database Keys

| -snes_composite_type <type: one of multiplicative, additive, symmetric_multiplicative, special> | - Sets composite preconditioner type
| -snes_composite_sneses | - <snes0,snes1,...> list of SNESes to compose

### See Also

SNESCreate(), SNESSetType(), SNESType (for list of available types), SNES,
SNESSHELL, SNESCompositeSetType(), SNESCompositeSpecialSetAlpha(), SNESCompositeAddSNES(), SNESCompositeGetSNES()

### References

| * | - Peter R. Brune, Matthew G. Knepley, Barry F. Smith, and Xuemin Tu, "Composing Scalable Nonlinear Algebraic Solvers", SIAM Review, 57(4), 2015

### Level

intermediate

### Location

src/snes/impls/composite/snescomposite.c

### Examples

src/snes/tutorials/ex9.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages